%define anolis_release 1
Name:          libimobiledevice
Version:       1.3.0
Release:       %{anolis_release}%{?dist}
Summary:       Library for connecting to mobile devices

License:       LGPLv2+
URL:           http://www.libimobiledevice.org/
Source0:       https://github.com/libimobiledevice/%{name}/releases/download/%{version}/%{name}-%{version}.tar.bz2

BuildRequires: glib2-devel
BuildRequires: openssl-devel
BuildRequires: libgcrypt-devel
BuildRequires: libplist-devel
BuildRequires: libtasn1-devel
BuildRequires: libusbmuxd-devel
BuildRequires: libusbx-devel
BuildRequires: libxml2-devel
BuildRequires: readline-devel
BuildRequires: swig
BuildRequires: git-core
BuildRequires: autoconf automake libtool
BuildRequires: make

%description
libimobiledevice is a library for connecting to mobile devices including phones 
and music players

%package devel
Summary: Development package for libimobiledevice
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with libimobiledevice.

%package utils
Summary: Utilites for libimobiledevice
Requires: %{name}%{?_isa} = %{version}-%{release}

%description utils
Utilites for use with libimobiledevice.

%prep
%autosetup -S git_am -n %{name}-%{version}

# Fix dir permissions on html docs
chmod +x docs/html

ACLOCAL="aclocal -I m4" autoreconf -f -i

%build
%configure --disable-static --enable-openssl --enable-dev-tools --without-cython
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot}

#Remove libtool archives.
find %{buildroot} -type f -name "*.la" -delete

%ldconfig_scriptlets

%files
%{!?_licensedir:%global license %%doc}
%license COPYING.LESSER
%doc AUTHORS README.md
%{_libdir}/libimobiledevice-1.0.so.6*

%files utils
%doc %{_datadir}/man/man1/idevice*
%{_bindir}/idevice*

%files devel
%doc docs/html/
%{_libdir}/pkgconfig/libimobiledevice-1.0.pc
%{_libdir}/libimobiledevice-1.0.so
%{_includedir}/libimobiledevice/

%changelog
* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.3.0-1
- Init from upstream version 1.3.0

